from pydantic import BaseModel, Field


class FieldEntry(BaseModel):
    value: str = Field(max_length=128)
    status: str


class ProfileField(BaseModel):
    name: str = Field(max_length=128)
    entries: list[FieldEntry]


class PronounEntry(BaseModel):
    value: str = Field(max_length=128)
    status: str
    display: str | None = Field(max_length=128, default=None)
